#!/usr/bin/perl
#
# This is file for generation BIND config for secondary drbl vote zones
# $Id: mk.bind-config.pl,v 2.1 2003/10/27 14:39:51 agk Exp $
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   Copyright 2003, Andrew I Baznikin <dikiy@scn.ru>
#



use strict;
use Socket;
#use POSIX;

# Code parameters

my $defalutConfig = './drblnode.conf';
my $drblslavepath = 'slave';

# global declarations
my %Config;

require 'config.pl';
require 'drbllib.pl';

cfgDoFile( (defined($ARGV[0])) ? $ARGV[0] : $defalutConfig, \%Config )||
  die "cannot parse the config file\n";

while( my($zn,$hp) = each(%{$Config{work}}) ) {
  while( my ($srcnick,$shp) = each( %{$hp->{'src'}} )) {
    if ( defined $shp -> {'skip'} ) {
      print "// skip source $srcnick for zone $zn";
      next;
    }
    print "// source: $srcnick\n";
    my ($zone,$master,$weight,$res,$target,$dig);
    $res = parseTarget($shp->{'target'},\$zone,\$master,\$weight);
    unless ( $res ) {
      print STDERR "Bad target (". $shp->{'target'} .") of zone $srcnick\n";
      die "Fatal error. Exit\n";
    } elsif ( $res == 1 ) {
      $master = $shp->{'master'};
    } elsif ( $res == 4 ) {
      $master = $shp->{'master'};
    } elsif ( $res == 5 ) {
      $target = $zone;
    }

	my @host;
	unless (@host = gethostbyname($master)) {
		print STDERR "gethostbyname($master) error, skip source $srcnick\n";
		next;
	}
	my $ipaddr = inet_ntoa($host[4]);

	print <<ZONE;
zone "$zone" {
	type slave;
	file "${drblslavepath}/$zone";
	masters {
		$ipaddr;
	};
};
ZONE

    }
  } #All zone collected
