<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE DRBLNode [
	<!ENTITY nbsp '&#160;'>
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:drbl="www.agk.nnov.ru/ns/drbl/0/0">
	<xsl:output method="html" indent="yes" encoding="KOI8-R"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>DRBL. Node overview:<xsl:value-of select="child::drbl:node/attribute::name"/>
				</title>
				<link rel="STYLESHEET" type="text/css" href="../style/main.css"/>
			</head>
			<body class="Body">
				<div class="BgSheet">
					<table cellspacing="2" cellpadding="2" border="0">
						<tr class="Header">
							<td colspan="3">
								<a href="../index.html">
									<img src="../style/drbl.gif" alt="Logo" width="300" height="119" border="0" align="middle"/>
								</a>
							</td>
						</tr>
						<tr class="Navigator">
							<td colspan="3">
								<strong>
									<xsl:value-of select="child::drbl:node/attribute::name"/>
								</strong>
							</td>
						</tr>
						<tr>
							<td width="100" height="480" class="LSpace">&nbsp;</td>
							<td width="600" class="NetNodeSheet">
								<xsl:apply-templates/>
							</td>
							<td width="100" class="RSpace">&nbsp;</td>
						</tr>
						<tr class="Navigator">
							<td colspan="3">
								<table width="100%">
									<tr>
										<td class="timestamp"> Updated: <xsl:value-of select="child::drbl:node/attribute::updated"/>
										</td>
										<td class="Copyright">Generated from XML. Design by Koulik Andrei</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="/drbl:node">
		<table width="100%" border="1" cellspacing="0" bordercolordark="#FFFFFF" bordercolorlight="#000000" cellpadding="5">
			<tr class="NetNodeSHead">
				<td>
					<Strong>General:</Strong>
				</td>
			</tr>
			<tr class="NetNodeSData">
				<td>
					<strong class="NetPName">Policy: </strong>
					<xsl:value-of select="@policy"/>
					<br/>
					<strong class="NetPName">Description: </strong>
					<xsl:value-of select="drbl:description/text()"/>
					<br/>
					<strong class="NetPName">Soft Version: </strong>
					<xsl:value-of select="drbl:version/text()"/>
					<xsl:apply-templates select="drbl:error"/>
					<xsl:apply-templates select="drbl:warning"/>
				</td>
			</tr>
			<xsl:apply-templates select="drbl:votes"/>
			<xsl:apply-templates select="drbl:works"/>
		</table>
	</xsl:template>
	<xsl:template match="drbl:votes">
		<tr class="NetNodeSHead">
			<td>
				<STRONG>Vote zones:</STRONG>
			</td>
		</tr>
		<tr class="NetNodeZList">
			<td>
				<xsl:for-each select="drbl:vote">
					<table width="100%" border="1" cellspacing="0" bordercolordark="#FFFFFF" bordercolorlight="#000000" cellpadding="2" class="ZoneCell">
						<tr class="NetNodeSHead">
							<td colspan="3">
								<strong>
									<xsl:value-of select="@name"/>
								</strong>
							</td>
						</tr>
						<tr class="NetNodeSData">
							<td colspan="3">
								<strong>Description: </strong>
								<xsl:value-of select="drbl:description/text()"/>
								<br/>
								<strong>Master: </strong>
								<xsl:value-of select="@master"/>
								<br/>
								<strong>Recomended weight: </strong>
								<xsl:value-of select="@weight"/>
								<br/>
								<xsl:apply-templates select="drbl:error"/>
								<xsl:apply-templates select="drbl:warning"/>
							</td>
						</tr>
					</table>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="drbl:works">
		<tr class="NetNodeSHead">
			<td colspan="2">
				<STRONG>Work zones:</STRONG>
			</td>
		</tr>
		<tr class="NetNodeZList">
			<td>
				<xsl:for-each select="drbl:work">
					<table width="100%" border="1" cellspacing="0" bordercolordark="#FFFFFF" bordercolorlight="#000000" cellpadding="2" class="ZoneCell">
						<tr class="NetNodeSHead">
							<td colspan="3">
								<strong>
									<xsl:value-of select="@name"/>
								</strong>
							</td>
						</tr>
						<tr class="NetNodeSData">
							<td colspan="3">
								<strong>Description: </strong>
								<xsl:value-of select="drbl:description/text()"/>
								<br/>
								<strong>Master: </strong>
								<xsl:value-of select="@master"/>
								<br/>
								<strong>Threshold: </strong>
								<xsl:value-of select="@threshold"/>
								<br/>
								<xsl:apply-templates select="drbl:error"/>
								<xsl:apply-templates select="drbl:warning"/>
							</td>
						</tr>
						<tr class="NetNodeSHead">
							<td colspan="3">
								<strong>Sources:</strong>
							</td>
						</tr>
						<tr class="NetNodeSHead">
							<td>
								<strong>Zone</strong>
							</td>
							<td>
								<strong>Master</strong>
							</td>
							<td>
								<strong>Weight</strong>
							</td>
						</tr>
						<xsl:for-each select="drbl:source">
							<tr class="NetNodeSData">
								<td>
									<xsl:value-of select="@name"/>
								</td>
								<td>
									<xsl:value-of select="@master"/>
								</td>
								<td>
									<xsl:value-of select="@weight"/>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="drbl:error">
		<br/>
		<strong class="NetPErr">Error:</strong>
		<xsl:value-of select="text()"/>
	</xsl:template>
	<xsl:template match="drbl:warning">
		<br/>
		<strong class="NetPWarn">Error:</strong>
		<xsl:value-of select="text()"/>
	</xsl:template>
</xsl:stylesheet>
